!BAT
# IMPORTANT: This file MUST begin with !BAT
# For all settings, see \_ISO\Sample_MyE2B.cfg

# PLEASE READ www.easy2boot.com - for full details

# HELP
#   # symbols comment out a line - do not remove!
#   ### means you can uncomment and use ### lines - they should contain a set command
#
#   e.g.
#       #  Auto menu      - this should not be uncommented - do not delete the # symbol
#       ###set DEFM_MNU=0 - this can be uncommented and changed by the user

### AUTONUM=0x0000   sets autonumbering off, 0x2001 sets numbering on with a space, use 0x2d01 for hyphen 
set AUTONUM=0x0000

# ------------ HEADING AND FOOTER TEXT COLOUR ---------

# HCOLOUR sets the colour of the HEADING and FOOTER TEXT text 
# HCOLOUR=ABCD specifies the text colour  [BLINK|BRIGHT|BACKGROUND|FOREGROUND]
# A=0/1 1 = BLINK text (does not work under VM)
# B=0/1 1 = BRIGHT colour for foreground text
# C=0-7 = BACKGROUND colour - transparent if graphics mode so has no effect!
# D=0-7 = FOREGROUND menu text colour
# Colours parameters are: 0=black/grey 1=dark blue, 2=green, 3=aqua, 4=dark red, 5=pink, 6=yellow/brown, 7=grey/white.
# e.g. 0133 is non-blinking bright aqua text (on a dark aqua background if not in graphics mode)

set HCOLOUR=7106
set FCOLOUR=7106

set NOF7HD=1
set NOF8MAIN=1
set NOWINMAIN=1

# clear the screen to get rid of any startup messages
clear
# set cursor off the screen so no text is seen or the cursor
call Fn.5 0 128

#                  --------- MENU HEADINGS -----
#
# Headings must be between two \x20 and between 58 and 78 characters long - but not more than 78 or will get line wrapover if in 640x480 mode
#                          1         2         3         4         5         6         7         8
#              \x202345678901234567890123456789012345678901234567890123456789012345678901234567890\x20
#                                                                           XXXXYXXXXXXXXXXXXXX  <- text must end in this area!
#
set    HEADING=\x20            DEMO WINDOWS INSTALLS in MAIN MENU             \x20

#  ----- GRAPHICS MODE AND WALLPAPER -----

# set graphics mode - use 640, or 800 or 1024 - or specify full mode - e.g. 800 600 24
# 640 and 800 is supported by the default background bitmap

set GMODE=800
set MYWBMP=/_ISO/Blue.bmp.gz

# -------- MENU COLOURS -------

# Colour pairs are Text/Background - i.e cyan/blue = cyan text on blue background
# Use black if a transparent background is required for menu highlight background - e.g. highlight=red/black
# Valid colours are: black, blue, green, cyan, red, magenta, brown, light-gray, dark-gray, light-blue, light-green, light-cyan, light-red, light-magenta, yellow and white.
#  normal    = normal menu text
#  highlight = highlighted menu text when a menu entry is selected
#  helptext  = the colour of the title help text shown just below the menu box
#  standard  = the console background and text colours (e.g. when listing files)
#  border    = the colour of the border of the menu box

color normal=white/black highlight=red/white helptext=yellow/black standard=white/black border=red/black

# You can also set a full colour value 24-bit as 0xRRGGBB, the value must be larger than 0xFF to work correctly however
# The background colour will be set to black (transparent in graphics mode menus)
# See http://www.rapidtables.com/web/color/RGB_Color.htm
# Red=0xFF0000   Green=0x00FF00   Blue=0x0100FF  (must be over FF so add 01 to red!), Yellow=0xFFFF00, White=0xffffff, Brown=0x994c00
### color border=0xFF0000
### color normal=0x777700
### color highlight=0xffffff

# ----- MENU POSITION ---

# If using 640 or 800 x-resolution - the settings below will change automatically
# word_spacing line_spacing border_width top_help number_of_items_in_menu top_start menu_width right_start_pos_of_menu
# tophelp=topstart+noitems for menu help text just under menu box
set wdspace=0
set lnspace=0
set topstart=2
set rstart=21
set noitems=22
set menuw=62
set bdwidth=1
set tophelp=24

# -- FOOTER HELP TEXT ---
#Bottom Easy2Boot Help text position YYXX
# if in 800 hres set, put bottom help text lower down - 36 lines if 800 mode
set HBTM=3501

#   ---- PASSWORD PROTECTION -----

#The line below will set a password of 'easy2boot' to stop users editing the menus accidentally (encrypted)
#You can use en encrypted md5 value or a plain text value
#If YOU want to edit the menus, press p and then enter the password (you can use an unencypted password like this: 'set pwd=fred')

#'easy2boot'
set pwd=--md5 $1$1$okAQ3AJUdhqf3TVrwKvJP1
#set pwd=fred
:mpwd



# ---- KEYBOARD TYPE -----
#set which keyboard you are using - see the KBD_xxxx.g4b files in the grub folder
#KBD_AZERTY.g4b
#KBD_FRENCH.g4b
#KBD_GERMAN.g4b
#KBD_ITALIANO.g4b
#KBD_JAPAN_106.g4b
#KBD_QWERTY_UK.g4b
#KBD_QWERTZ.g4b
#KBD_SPANISH.G4B

#set KBD=KBD_QWERTY_UK.g4b


# Remove some menu entries
set DEFMENU=0
#set NOF7HD=0
set NOF10H=0
set NOF9R=0

# To remove others from the Main Menu - delete the appropriate \_ISO\MAINMENU\ZZxxxxxxx.mnu files

# if NOF8B is set then cannot go back to main menu unless you reload the whole menu using hotkey F8!
#set NOF8B=0
# Mainmenu will still have Reload Main Menu entry - delete \_ISO\MAINMENU\ZZZF8ReloadMenu.mnu to remove menu entry

#don't show any progress messages at all!
set redirp=> nul
set redir=> nul

#we don't need unifont font file
set NOUNIFONT=1

# now add global hotkeys
()/%grub%/hotkey [F9] "reboot" > nul
#()/%grub%/hotkey [F8] "configfile (bd)/menu.lst" > nul
()/%grub%/hotkey [F10] "halt" > nul
set HELPTEXT=\x20           Reboot [F9]   Power Off [F10]
if exist /FASTLOAD.YES  set HELPTEXT=\x20    Refresh Menu [Ctrl+R]  Reboot [F9]  Power Off [F10]

#set hotkey Ctrl+R to refresh fastload menu cache
if exist /FASTLOAD.YES ()/%grub%/hotkey [Ctrl+R] "clear && echo REFRESH > /FASTLOAD.YES && configfile /%grub%/menu.lst" > nul
#suppress FASTLOAD Main menu entry
if exist /FASTLOAD.YES set NOFLDMENU=1

# NoWindowsMenu - load main menu instead of Windows menu
set NOWMENU=1

# beep the speaker when main menu loads (if internal speaker in system) 1-3 allowed
set beep=3
